Debian Bug report logs - #584801
problem with German umlaut

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Harald Dunkel <harri@afaics.de>

Date: Sun, 6 Jun 2010 18:03:02 UTC

Severity: normal

Tags: moreinfo

Merged with 583609

Found in version xterm/258-1

Fixed in version xterm/260-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Sun, 06 Jun 2010 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harri@afaics.de>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 06 Jun 2010 18:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harri@afaics.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: problem with German umlaut
Date: Sun, 06 Jun 2010 20:02:16 +0200
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 258-1

If I switch off UTF-8 mode and do 'cat strasse.txt' (attached) in bash, then
the text is cut off at the German umlaut. 'xterm -e tail -f strasse.txt'
shows the same problem. Using /bin/sh (a symlink to dash) the shell even
gets stuck (which us a severe problem).

There is no such problem for gnome-terminal. Instead of the umlaut
it prints '??'. dash exits as usual. I would suggest to do the same
for xterm.


Regards

Harri
[strasse.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Sun, 06 Jun 2010 18:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 06 Jun 2010 18:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 584801@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Harald Dunkel <harri@afaics.de>, 584801@bugs.debian.org
Subject: Re: Bug#584801: problem with German umlaut
Date: Sun, 6 Jun 2010 20:17:39 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jun  6, 2010 at 20:02:16 +0200, Harald Dunkel wrote:

> Package: xterm
> Version: 258-1
> 
> If I switch off UTF-8 mode and do 'cat strasse.txt' (attached) in bash, then
> the text is cut off at the German umlaut. 'xterm -e tail -f strasse.txt'
> shows the same problem. Using /bin/sh (a symlink to dash) the shell even
> gets stuck (which us a severe problem).
> 
> There is no such problem for gnome-terminal. Instead of the umlaut
> it prints '??'. dash exits as usual. I would suggest to do the same
> for xterm.
> 
That file is all ascii, so probably not what you wanted to attach.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Sun, 06 Jun 2010 19:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 06 Jun 2010 19:48:06 GMT) Full text and rfc822 format available.

Message #15 received at 584801@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>, 584801@bugs.debian.org
Cc: Harald Dunkel <harri@afaics.de>
Subject: Re: Bug#584801: problem with German umlaut
Date: Sun, 06 Jun 2010 15:44:37 -0400
[Message part 1 (text/plain, inline)]
On Sun, Jun 06, 2010 at 08:17:39PM +0200, Julien Cristau wrote:
> On Sun, Jun  6, 2010 at 20:02:16 +0200, Harald Dunkel wrote:
> 
> > Package: xterm
> > Version: 258-1
> > 
> > If I switch off UTF-8 mode and do 'cat strasse.txt' (attached) in bash, then
> > the text is cut off at the German umlaut. 'xterm -e tail -f strasse.txt'
> > shows the same problem. Using /bin/sh (a symlink to dash) the shell even
> > gets stuck (which us a severe problem).
> > 
> > There is no such problem for gnome-terminal. Instead of the umlaut
> > it prints '??'. dash exits as usual. I would suggest to do the same
> > for xterm.
> > 
> That file is all ascii, so probably not what you wanted to attach.

ascii here, too.

When I see the actual data, I'll be able to do some analysis.

(I recall from an earlier report that gnome-terminal lacks error-checking
so using that as a reference point may be misleading).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 07 Jun 2010 11:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Tue, 08 Jun 2010 00:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to pacman@kosh.dhis.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 08 Jun 2010 00:33:06 GMT) Full text and rfc822 format available.

Message #22 received at 584801@bugs.debian.org (full text, mbox):

From: pacman@kosh.dhis.org
To: dickey@his.com
Cc: jcristau@debian.org (Julien Cristau), 584801@bugs.debian.org, harri@afaics.de (Harald Dunkel)
Subject: Re: Bug#584801: problem with German umlaut
Date: Mon, 7 Jun 2010 19:18:21 -0500 (GMT+5)
Thomas Dickey writes:
> > That file is all ascii, so probably not what you wanted to attach.
> 
> ascii here, too.

That must be some kind of mail system bug, closer to your end than the
submitter. Viewing on http://bugs.debian.org/584801 I can see that the
original message included this base64-encoded part:

        Content-Type: text/plain;
         name="strasse.txt"
        Content-Transfer-Encoding: base64
        Content-Disposition: attachment;
         filename="strasse.txt"

        U3RyYcOfZSA4Cg==

which decodes to:

$ echo U3RyYcOfZSA4Cg== | mmencode -u | od -t x1 -c
0000000 53 74 72 61 c3 9f 65 20 38 0a
          S   t   r   a 303 237   e       8  \n

> 
> When I see the actual data, I'll be able to do some analysis.

The root of the problem is that in non-UTF-8 mode, the \x9f character
eats an arbitrarily large sequence of non-control characters that follow it. 
It seems to fit under the general category of "writing random bytes to your
terminal makes weird things happen", but this is a particularly nasty case
since it can even seem to make the terminal freeze if your shell prompt is
among the stuff that got eaten.

This was originally 583609, they should be merged...

-- 
Alan Curry




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Tue, 08 Jun 2010 00:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 08 Jun 2010 00:39:07 GMT) Full text and rfc822 format available.

Message #27 received at 584801@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: pacman@kosh.dhis.org
Cc: Julien Cristau <jcristau@debian.org>, 584801@bugs.debian.org, Harald Dunkel <harri@afaics.de>
Subject: Re: Bug#584801: problem with German umlaut
Date: Mon, 7 Jun 2010 20:24:39 -0400 (EDT)
On Mon, 7 Jun 2010, pacman@kosh.dhis.org wrote:

> The root of the problem is that in non-UTF-8 mode, the \x9f character
> eats an arbitrarily large sequence of non-control characters that follow it.

http://invisible-island.net/xterm/ctlseqs/ctlseqs.html#C1

http://invisible-island.net/xterm/manpage/xterm.html

(discussion of "-k8" option)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Merged 583609 584801. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Wed, 09 Jun 2010 09:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Wed, 09 Jun 2010 22:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harri@afaics.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Jun 2010 22:00:05 GMT) Full text and rfc822 format available.

Message #34 received at 584801@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harri@afaics.de>
To: pacman@kosh.dhis.org, dickey@his.com
Cc: Julien Cristau <jcristau@debian.org>, 584801@bugs.debian.org
Subject: Re: Bug#584801: problem with German umlaut
Date: Wed, 09 Jun 2010 23:56:46 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 06/08/10 02:18, pacman@kosh.dhis.org wrote:
> 
> The root of the problem is that in non-UTF-8 mode, the \x9f character
> eats an arbitrarily large sequence of non-control characters that follow it. 

On 06/08/10 02:24, Thomas Dickey wrote:
> http://invisible-island.net/xterm/manpage/xterm.html
>
> (discussion of "-k8" option)

Is this a special xterm feature? "whois sensors.de" works much better
with -k8. Would you suggest to make -k8 the default?


Regards

Harri
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkwQDhgACgkQUTlbRTxpHjcYXwCeJ115uPBt+tXbgbb4+7mjM9Sm
KsQAn1mrFsb1F8XDzGD4Niu8Y5Z5HaFX
=9i/d
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Wed, 09 Jun 2010 22:31:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Jun 2010 22:31:32 GMT) Full text and rfc822 format available.

Message #39 received at 584801@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Harald Dunkel <harri@afaics.de>
Cc: pacman@kosh.dhis.org, Julien Cristau <jcristau@debian.org>, 584801@bugs.debian.org
Subject: Re: Bug#584801: problem with German umlaut
Date: Wed, 9 Jun 2010 18:28:57 -0400 (EDT)
On Wed, 9 Jun 2010, Harald Dunkel wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 06/08/10 02:18, pacman@kosh.dhis.org wrote:
>>
>> The root of the problem is that in non-UTF-8 mode, the \x9f character
>> eats an arbitrarily large sequence of non-control characters that follow it.
>
> On 06/08/10 02:24, Thomas Dickey wrote:
>> http://invisible-island.net/xterm/manpage/xterm.html
>>
>> (discussion of "-k8" option)
>
> Is this a special xterm feature? "whois sensors.de" works much better
> with -k8. Would you suggest to make -k8 the default?

I added it for the people using Cyrillic encodings, since those aren't
ISO-8859-1, and actually have printable characters in the 128-159 range.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Wed, 09 Jun 2010 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Jun 2010 22:36:05 GMT) Full text and rfc822 format available.

Message #44 received at 584801@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Harald Dunkel <harri@afaics.de>
Cc: pacman@kosh.dhis.org, Julien Cristau <jcristau@debian.org>, 584801@bugs.debian.org
Subject: Re: Bug#584801: problem with German umlaut
Date: Wed, 9 Jun 2010 18:33:19 -0400 (EDT)
On Wed, 9 Jun 2010, Harald Dunkel wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 06/08/10 02:18, pacman@kosh.dhis.org wrote:
>>
>> The root of the problem is that in non-UTF-8 mode, the \x9f character
>> eats an arbitrarily large sequence of non-control characters that follow it.
>
> On 06/08/10 02:24, Thomas Dickey wrote:
>> http://invisible-island.net/xterm/manpage/xterm.html
>>
>> (discussion of "-k8" option)
>
> Is this a special xterm feature? "whois sensors.de" works much better
> with -k8. Would you suggest to make -k8 the default?

... as a candidate feature, it's about on a par with

       brokenLinuxOSC (class BrokenLinuxOSC)
               If true, xterm applies a workaround to ignore malformed control
               sequences that a Linux script might send.  Compare the  palette
               control  sequences  documented  in  console_codes with ECMA-48.
               The default is "true."

       brokenSelections (class BrokenSelections)
               If true, xterm in 8-bit mode will interpret  STRING  selections
               as  carrying  text  in the current locale's encoding.  Normally
               STRING selections carry ISO-8859-1 encoded text.  Setting  this
               resource to "true" violates the ICCCM; it may, however, be use-
               ful for interacting with some broken X clients.  The default is
               "false."

       brokenStringTerm (class BrokenStringTerm)
               provides  a  work-around  for  some ISDN routers which start an
               application control string without completing it.  Set this  to
               "true" if xterm appears to freeze when connecting.  The default
               is "false."

(the last, brokenStringTerm, is actually more pertinent to your use of
xterm than -k8)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Wed, 09 Jun 2010 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to pacman@kosh.dhis.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Jun 2010 23:00:05 GMT) Full text and rfc822 format available.

Message #49 received at 584801@bugs.debian.org (full text, mbox):

From: pacman@kosh.dhis.org
To: harri@afaics.de (Harald Dunkel)
Cc: dickey@his.com, jcristau@debian.org (Julien Cristau), 584801@bugs.debian.org
Subject: Re: Bug#584801: problem with German umlaut
Date: Wed, 9 Jun 2010 17:57:42 -0500 (GMT+5)
Harald Dunkel writes:
> 
> Is this a special xterm feature? "whois sensors.de" works much better
> with -k8. Would you suggest to make -k8 the default?

In a perfect world, it would be unnecessary since you wouldn't have
anything written on your terminal that wasn't in the proper charset.

In the real world, where the average xterm user runs dozens if not
hundreds of tools which write unvalidated data to the terminal (on
stdout or stderr), and few if any tools that use 8-bit control
characters, -k8 as default would be a good idea.

|4.  Internationalisation
|
|   The WHOIS protocol has not been internationalised.  The WHOIS
|   protocol has no mechanism for indicating the character set in use.
|   Originally, the predominant text encoding in use was US-ASCII.  In
|   practice, some WHOIS servers, particularly those outside the USA,
|   might be using some other character set either for requests, replies,
|   or both.  This inability to predict or express text encoding has
|   adversely impacted the interoperability (and, therefore, usefulness)
|   of the WHOIS protocol.

-- 
Alan Curry




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Wed, 09 Jun 2010 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Jun 2010 23:24:03 GMT) Full text and rfc822 format available.

Message #54 received at 584801@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: pacman@kosh.dhis.org
Cc: Harald Dunkel <harri@afaics.de>, Julien Cristau <jcristau@debian.org>, 584801@bugs.debian.org
Subject: Re: Bug#584801: problem with German umlaut
Date: Wed, 9 Jun 2010 19:21:23 -0400 (EDT)
On Wed, 9 Jun 2010, pacman@kosh.dhis.org wrote:

> Harald Dunkel writes:
>>
>> Is this a special xterm feature? "whois sensors.de" works much better
>> with -k8. Would you suggest to make -k8 the default?
>
> In a perfect world, it would be unnecessary since you wouldn't have
> anything written on your terminal that wasn't in the proper charset.
>
> In the real world, where the average xterm user runs dozens if not
> hundreds of tools which write unvalidated data to the terminal (on
> stdout or stderr), and few if any tools that use 8-bit control
> characters, -k8 as default would be a good idea.

It might be, except that misrendering the text only appears to fix the
problem, and just leads to further bug reports about the inevitable 
garbage that's shown on the screen.

(It would be nice if xterm could somehow guess that the encoding 
has changed ;-).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 23 Jun 2010 18:33:08 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 25 Jun 2010 19:36:06 GMT) Full text and rfc822 format available.

Notification sent to Harald Dunkel <harri@afaics.de>:
Bug acknowledged by developer. (Fri, 25 Jun 2010 19:36:06 GMT) Full text and rfc822 format available.

Message #61 received at 584801-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 584801-close@bugs.debian.org
Subject: Bug#584801: fixed in xterm 260-1
Date: Fri, 25 Jun 2010 19:34:18 +0000
Source: xterm
Source-Version: 260-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_260-1.diff.gz
  to main/x/xterm/xterm_260-1.diff.gz
xterm_260-1.dsc
  to main/x/xterm/xterm_260-1.dsc
xterm_260-1_amd64.deb
  to main/x/xterm/xterm_260-1_amd64.deb
xterm_260.orig.tar.gz
  to main/x/xterm/xterm_260.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584801@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 25 Jun 2010 19:58:38 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 260-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 584801 584841 585620
Changes: 
 xterm (260-1) unstable; urgency=low
 .
   * New upstream release
     + extend renderFont resource to allow deferred switch to TrueType fonts
       without affecting existing resource settings (closes: #585620)
     + change configure script default for --enable-broken-st (i.e., the
       brokenStringTerm feature) to normally enable it.  If the corresponding
       resource is enabled, this feature eliminates an apparent freeze of xterm
       when sending mis-encoded data to the screen (closes: #584801)
     + undo a change to limit-check in ScrnRefresh in patch #257, which broke
       fastScroll feature (closes: #584841)
Checksums-Sha1: 
 fa1a57738d6f14a0fe5aa20ba4110f5d3f3c27a0 1948 xterm_260-1.dsc
 e2e035ce594b6428256c77e5f07a5295d1382bab 926427 xterm_260.orig.tar.gz
 7100636a0d458870caf3242344e26b399283e411 80088 xterm_260-1.diff.gz
 bf84db1009ddbac3534a07228ddfd4a09f209574 550572 xterm_260-1_amd64.deb
Checksums-Sha256: 
 92eedb504f53f34c7cc6f9514e212d951d83f4303a2ac33ade5595b7fb0b87ce 1948 xterm_260-1.dsc
 3e8f68124df7d735a7f7cbcef1d4e4b60092c4d85a1b4c5de829c79a88869fc7 926427 xterm_260.orig.tar.gz
 c8c49db28e76e73e48d95acd4dd92e69d0219e1b72f5f2b6c0d07ea07acb846c 80088 xterm_260-1.diff.gz
 c65b5b287476908108bb4e38bd5ee018e81205f092eda608a257b58c221b9638 550572 xterm_260-1_amd64.deb
Files: 
 75572318b374ba0abb28a628e72f5680 1948 x11 optional xterm_260-1.dsc
 1db28bd91f66278b836162e960ad4e22 926427 x11 optional xterm_260.orig.tar.gz
 3238967e68e10eb9a69f93b7d394e8a3 80088 x11 optional xterm_260-1.diff.gz
 3750530558ac35606952a484632d7ec4 550572 x11 optional xterm_260-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMJQKMAAoJEDEBgAUJBeQMF4gQAM4wp8a4HQeQHaxQZP5je3lC
qLMrua/kWPjYeE8820B4/qlEQW//0tl7udkWrM0g0FwBsWHjg5o0++WIAquteTfb
K3SaBL3Wx5wD9LzRJ80VwlO00FE7D+z8FXxofbNNstD6LdFQol2JB4R4N3Mw1ynI
vfVTKbObqF0PxIlc83D076kDQEM8SrmOHfeU8+/cY2wcjZKhEKJuTCL4uqPxQ+FF
T7qHKeUr9oVU17TS4Sbrgd2mpXF6hRI52GWVJ5TzJRYqTJlLsFSk7dv/oMBbMZgU
f1D2pdMiUMjuQpteUoN97h7Z0GFyEk10lo6BvrnzTzLse8X+x4rDNb78M1QPoFHg
jG1c2LMbNw11Eoh1Lzp/AjnPFuEAaIt0HZXEEgzUizdnt6943GD5BtId3MLEmOVN
HiRkjEXn88D9LOj6BH2wSHSy/+6Zxx6/be1PXCucm+ZCnePskwBLhtkY+MgKTPeq
U6AzZ8YVijkV0gliRi7gEsWKSH+JrXNMwqjc/ubqCaIm+U9YLo8pwFbcPcwjbMbK
dGvX+RrTFNGQLWK5YWl2NcOE/zKCSoM7YZzSogb328iKAbInrWb16bojdq+jSJg/
gqrks1KngN1TXNyBCO+PlpB7gxqf5E6l7/P/HrPGxaXdTskPvfvPWtagQWW0UTaa
BNnzTrurFNTgCUAUW5ww
=Xm6j
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 25 Jun 2010 19:36:07 GMT) Full text and rfc822 format available.

Notification sent to Harald Dunkel <harri@afaics.de>:
Bug acknowledged by developer. (Fri, 25 Jun 2010 19:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Mon, 28 Jun 2010 17:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harri@afaics.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 28 Jun 2010 17:09:08 GMT) Full text and rfc822 format available.

Message #71 received at 584801@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harri@afaics.de>
To: 584801@bugs.debian.org
Subject: Re: Bug#584801 closed by Julien Cristau <jcristau@debian.org> (Bug#584801: fixed in xterm 260-1)
Date: Mon, 28 Jun 2010 19:04:30 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The text between umlaut and the end of the line is still cut off.
Is this expected?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkwo1hgACgkQUTlbRTxpHjfv6wCfXJKBHPKCkknec7xLxHbiTP6r
8PEAmwU7ElmCvabiEA3qsfqrwziiOGud
=gu15
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584801; Package xterm. (Mon, 28 Jun 2010 17:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 28 Jun 2010 17:39:11 GMT) Full text and rfc822 format available.

Message #76 received at 584801@bugs.debian.org (full text, mbox):

From: dickey@his.com
To: Harald Dunkel <harri@afaics.de>, 584801@bugs.debian.org
Subject: Re: Bug#584801: closed by Julien Cristau <jcristau@debian.org> (Bug#584801: fixed in xterm 260-1)
Date: Mon, 28 Jun 2010 13:35:34 -0400
Quoting Harald Dunkel <harri@afaics.de>:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> The text between umlaut and the end of the line is still cut off.
> Is this expected?

yes -- the line-ending exits from the mode where xterm is collecting
a long string.  The point of the change to include the brokenStringTerm
resource setting is to allow a newline to do this.  Otherwise, it would
wait for the proper string terminator character, which is something you
are not likely to enter on the keyboard.







Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Jul 2010 07:30:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:06:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.